阿里云Ubuntu安装Docker环境

环境

Docker要求Ubuntu操作系统为64位,并且Lunix内核版本至少是3.10。

安装Docker

更新包管理器,并安装相关程序

$ sudo apt-get update

$ sudo apt-get install linux-image-generic-lts-trusty

$ sudo reboot

从阿里云的镜像安装Docker

$ su root

$ curl -sSL http://acs-public-mirror.oss-cn-hangzhou.aliyuncs.com/docker-engine/internet | sh -

验证Dock......

Ubuntu装机清单

sudo apt-get update

sudo apt-get install vim

sudo apt-get install tmux

sudo apt-get install git

sudo apt-get install openssh-server

Ubuntu创建新用户

创建新用户

adduser guangningyu

添加进sudo组

usermod -aG sudo guangningyu

测试是否添加成功

su - guangningyu

sudo ls